<?php
/*
	Plugin Name: ALDI Scroll to top
	Description: It creates a button for going to the top of the page
	Version: 1.0
	Author: Alejandro Torres
*/

define('ALDISCROLLTOTOP_PLUGIN_URL', WP_PLUGIN_URL . '/' . plugin_basename( dirname(__FILE__) ) . '/' );

class aldiScrollToTop {

  public function __construct() {

    add_action( 'init', array( $this,'scriptsStyles') );
    add_action( 'wp_footer' , array( $this,'codeScroll' ) );
  
  }

  public function scriptsStyles() {

  	wp_enqueue_script('aldi-scroll-to-top', ALDISCROLLTOTOP_PLUGIN_URL.'js/scripts.js', array('jquery'), '', true);
  	wp_enqueue_style('aldi-scroll-to-top', ALDISCROLLTOTOP_PLUGIN_URL.'css/style.css');

  }

  public function codeScroll() {
  ?>
    <div id="aldi-scroll-to-top">
      <div class="inner"></div>
    </div>
  <?php
  }

}

$astt = new aldiScrollToTop();
